FROM alpine
RUN apk add --no-cache python3-dev py3-pillow py3-numpy openjdk8-jre git curl jq
RUN apk add --no-cache --virtual=build build-base jpeg-dev zlib-dev libx11-dev
COPY numpy /usr/include/numpy
COPY mc_download /usr/bin

ARG MINECRAFT_VERSION
ENV MINECRAFT_VERSION=$MINECRAFT_VERSION

RUN adduser -h /home/mcoverviewer -s /bin/sh -D mcoverviewer 

RUN git clone git://github.com/overviewer/Minecraft-Overviewer.git --branch master --single-branch /overviewer
RUN cp /overviewer/overviewer.py /usr/bin/overviewer

RUN curl -q -o /usr/include/Imaging.h https://raw.githubusercontent.com/python-pillow/Pillow/master/src/libImaging/Imaging.h && \
    curl -q -o /usr/include/ImagingUtils.h https://raw.githubusercontent.com/python-pillow/Pillow/master/src/libImaging/ImagingUtils.h && \
    curl -q -o /usr/include/ImPlatform.h https://raw.githubusercontent.com/python-pillow/Pillow/master/src/libImaging/ImPlatform.h


WORKDIR /overviewer
RUN python3 setup.py install

VOLUME ["/input", "/output"]

USER mcoverviewer
RUN mc_download $MINECRAFT_VERSION

ENTRYPOINT ["/usr/bin/overviewer"]
